<!--
“Copyright 2020 L'esfera”

This file is part of L'esfera.

L'esfera is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
-->

<template>
  <div id="Home">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">

                <vue-word-cloud :words="words"
                    :spacing=0.3
                    :animation-overlap=2
                    :font-size-ratio=5
                    style="position:relative; height: 400px;  width: 100%; "
                    :color="([, weight]) => weight - lowest_weight > 13 ? '#B9294E':
                                            weight - lowest_weight > 6 ? '#875783' :
                                            weight - lowest_weight > 2 ? '#CD8628' :
                                            '#6D9D3A'"
                                            font-family="Roboto" >
                    <template slot-scope="{word, weight}">
                        <div :title="weight" style="cursor: pointer;" @click="display_node(word[2])">
                        {{ word[0] }}
                        </div>
                    </template>
                </vue-word-cloud>
                
            </div>
        </div>
    </div>
  </div>
</template>

<script>
import VueWordCloud from 'vuewordcloud';

export default {
    name: 'Home',
    components: {
        [VueWordCloud.name]: VueWordCloud,
    },
    props: {
        words: Array,
    },
    computed: {
        lowest_weight: function () {
            if (this.words.length != 0) {
                var last_word = this.words[this.words.length -1]
                return last_word[1]
            } else {
                return 0
            }
        }
    },
    methods: {
        display_node: function (node_id) {
            this.$router.push({ path: '/node/' + node_id })
        },
    },
}
</script>

<style scoped>

</style>
